Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 2483483004: [Chromoting] Implement new APIs in DesktopCapturer (Closed)

Created:
2 years, 10 months ago by Hzj_jie
Modified:
2 years, 10 months ago
Reviewers:
Sergey Ulanov, Jamie
CC:
chromium-reviews, posciak+watch_chromium.org, oshima+watch_chromium.org, chromoting-reviews_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[Chromoting] Implement new APIs in DesktopCapturer This change implements GetSourceList() and SelectSource() function in all DesktopCapturer derived classes. After this change, and https://codereview.chromium.org/2479553006/, GetSourceList() and SelectSource() can be changed to pure virtual functions in WebRTC. BUG=webrtc:6513 Committed: https://crrev.com/c034cd404edfaa2f6769101fe993f24ccabbe2f9 Cr-Commit-Position: refs/heads/master@{#430183}

Patch Set 1 #

Total comments: 12

Patch Set 2 : Resolve review comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+75 lines, -4 lines) Patch
M remoting/host/chromeos/aura_desktop_capturer.h View 1 chunk +2 lines, -0 lines 0 comments Download
M remoting/host/chromeos/aura_desktop_capturer.cc View 2 chunks +13 lines, -4 lines 0 comments Download
M remoting/host/desktop_capturer_proxy.h View 1 2 chunks +4 lines, -0 lines 0 comments Download
M remoting/host/desktop_capturer_proxy.cc View 1 2 chunks +11 lines, -0 lines 0 comments Download
M remoting/host/ipc_video_frame_capturer.h View 1 2 chunks +4 lines, -0 lines 0 comments Download
M remoting/host/ipc_video_frame_capturer.cc View 1 2 chunks +11 lines, -0 lines 0 comments Download
M remoting/protocol/connection_unittest.cc View 1 chunk +8 lines, -0 lines 0 comments Download
M remoting/protocol/fake_desktop_capturer.h View 1 1 chunk +2 lines, -0 lines 0 comments Download
M remoting/protocol/fake_desktop_capturer.cc View 1 1 chunk +10 lines, -0 lines 0 comments Download
M remoting/protocol/video_frame_pump_unittest.cc View 1 1 chunk +10 lines, -0 lines 0 comments Download

Messages

Total messages: 29 (23 generated)
Hzj_jie
2 years, 10 months ago (2016-11-04 23:02:17 UTC) #16
Sergey Ulanov
lgtm when my comments are addressed. https://codereview.chromium.org/2483483004/diff/40001/remoting/host/desktop_capturer_proxy.h File remoting/host/desktop_capturer_proxy.h (right): https://codereview.chromium.org/2483483004/diff/40001/remoting/host/desktop_capturer_proxy.h#newcode49 remoting/host/desktop_capturer_proxy.h:49: // Following two ...
2 years, 10 months ago (2016-11-05 00:16:26 UTC) #17
Hzj_jie
https://codereview.chromium.org/2483483004/diff/40001/remoting/host/desktop_capturer_proxy.h File remoting/host/desktop_capturer_proxy.h (right): https://codereview.chromium.org/2483483004/diff/40001/remoting/host/desktop_capturer_proxy.h#newcode49 remoting/host/desktop_capturer_proxy.h:49: // Following two functions are not supported, they always ...
2 years, 10 months ago (2016-11-06 04:27:24 UTC) #22
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2483483004/60001
2 years, 10 months ago (2016-11-06 04:33:24 UTC) #25
commit-bot: I haz the power
Committed patchset #2 (id:60001)
2 years, 10 months ago (2016-11-06 04:42:34 UTC) #27
commit-bot: I haz the power
2 years, 10 months ago (2016-11-06 04:44:56 UTC) #29
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/c034cd404edfaa2f6769101fe993f24ccabbe2f9
Cr-Commit-Position: refs/heads/master@{#430183}

Powered by Google App Engine
This is Rietveld 408576698